dojo.require("dojo.fx");

dojo.ready(function() {
  
  dojo.addOnLoad(function() {
    // attach target="_blank" to any node with rel="external"
    dojo.query('#ibm-content-main a[rel="external"]').forEach(function(node, index, nodeList){
      dojo.attr(node, 'target', '_blank');
    });
  });
  

  dojo.addOnLoad(function() {
    if (dojo.byId("ibm-mehrwert-embed-link") && dojo.byId("ibm-entscheidungen-embed-link")) {

      dojo.connect(dojo.byId("ibm-mehrwert-embed-link"), 'onclick', null, function(e) {
        e.preventDefault();
        if (dojo.style(dojo.byId("ibm-mehrwert-embed-area"), 'display') == 'none') {
          dojo.style(dojo.byId("ibm-mehrwert-embed-area"), 'display', 'block');

          dojo.animateProperty({
            node: dojo.byId("ibm-mehrwert-embed-area"),
            properties: {
              height: 130
            }
          }).play();
        } else {
          dojo.animateProperty({
            node: dojo.byId("ibm-mehrwert-embed-area"),
            properties: {
              height: 0
            },
            onEnd: function() {
              dojo.style(dojo.byId("ibm-mehrwert-embed-area"), 'display', 'none');
            }
          }).play();
        }
      });

      dojo.connect(dojo.byId("ibm-entscheidungen-embed-link"), 'onclick', null, function(e) {
        e.preventDefault();
        if (dojo.style(dojo.byId("ibm-entscheidungen-embed-area"), 'display') == 'none') {
          dojo.style(dojo.byId("ibm-entscheidungen-embed-area"), 'display', 'block');

          dojo.animateProperty({
            node: dojo.byId("ibm-entscheidungen-embed-area"),
            properties: {
              height: 130
            }
          }).play();
        } else {
          dojo.animateProperty({
            node: dojo.byId("ibm-entscheidungen-embed-area"),
            properties: {
              height: 0
            },
            onEnd: function() {
              dojo.style(dojo.byId("ibm-entscheidungen-embed-area"), 'display', 'none');
            }
          }).play();
        }

      });
    }
  });

});
